aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/py-xml/APKBUILD27
-rw-r--r--testing/py-xml/fix-python2.6.patch28
2 files changed, 55 insertions, 0 deletions
diff --git a/testing/py-xml/APKBUILD b/testing/py-xml/APKBUILD
new file mode 100644
index 0000000000..1dd549da07
--- /dev/null
+++ b/testing/py-xml/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-xml
+pkgver=0.8.4
+pkgrel=0
+pkgdesc="Python XML parsing library."
+url="http://pyxml.sourceforge.net/"
+license="custom"
+depends=
+makedepends="python-dev"
+source="http://downloads.sourceforge.net/sourceforge/pyxml/PyXML-$pkgver.tar.gz
+ fix-python2.6.patch"
+
+_builddir="$srcdir"/PyXML-$pkgver
+build() {
+ cd "$_builddir"
+ patch -Np1 -i "$srcdir/fix-python2.6.patch" || return 1
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ install -D -m644 LICENCE "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+}
+
+md5sums="1f7655050cebbb664db976405fdba209 PyXML-0.8.4.tar.gz
+4b652e0c866e3cca7e2386e8e383d5ba fix-python2.6.patch"
diff --git a/testing/py-xml/fix-python2.6.patch b/testing/py-xml/fix-python2.6.patch
new file mode 100644
index 0000000000..7bf1c46fc9
--- /dev/null
+++ b/testing/py-xml/fix-python2.6.patch
@@ -0,0 +1,28 @@
+diff -ur a/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py b/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py
+--- a/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py 2003-03-11 15:01:34.000000000 +0100
++++ b/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py 2009-05-25 16:32:26.000000000 +0200
+@@ -24,8 +24,8 @@
+ self._rel = rel
+ nt = ParsedNodeTest.ParsedNodeTest('node', '')
+ ppl = ParsedPredicateList.ParsedPredicateList([])
+- as = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
+- self._step = ParsedStep.ParsedStep(as, nt, ppl)
++ asp = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
++ self._step = ParsedStep.ParsedStep(asp, nt, ppl)
+ return
+
+ def evaluate(self, context):
+diff -ur a/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py b/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py
+--- a/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py 2003-03-11 15:01:34.000000000 +0100
++++ b/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py 2009-05-25 16:27:55.000000000 +0200
+@@ -28,8 +28,8 @@
+ self._right = right
+ nt = ParsedNodeTest.ParsedNodeTest('node','')
+ ppl = ParsedPredicateList.ParsedPredicateList([])
+- as = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
+- self._middle = ParsedStep.ParsedStep(as, nt, ppl)
++ asp = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
++ self._middle = ParsedStep.ParsedStep(asp, nt, ppl)
+
+ def evaluate(self, context):
+ res = []